## Librem 5 User Guide

This repository contains a contents file, build files and packaging files for
the Librem 5 User Guide. It is used to build a Debian package for the guide,
reusing the common repository that contains the individual chapters.

It also includes a desktop file that launches the GNOME WWW browser to show
the index page of the documentation, and an icon to show in the app drawer on
the phone.

See https://source.puri.sm/Librem5/librem5-user-docs-common for the actual
documentation.

To build:
```
    make update html
```

This should cause the `Librem_5` submodule to be updated if there are new commits
in the [core user documentation repository](https://source.puri.sm/Librem5/librem5-user-docs-common).
If the submodule has been updated, you will need to commit the change to the
`Librem_5` directory.

To build a binary Debian package for testing:
```
    debuild -b -us -uc
```

This can be copied to the phone and installed using `dpkg`.

## Updating the Debian package for the phone

The `.gitlab-ci.yml` file will cause a new `deb` package to be built
automatically. However, a signed tag is needed for the package to be built by
the [Continuous Integration server](https://arm01.puri.sm/job/debs/).
See the [Core Workflow](https://developer.puri.sm/Librem5/Apps/Packaging_Apps/Core_Workflow/index.html)
section of the Librem 5 [developer documentation](https://developer.puri.sm/Librem5)
for guidance.

## Copyright and License Information

Copyright: Copyright (C) 2019 Purism SPC

License: CC-BY-4.0

This work is licensed under a Creative Commons Attribution-ShareAlike 4.0
International License. To view a copy of this license, visit
https://creativecommons.org/licenses/by-sa/4.0/
